local T_BaseInfo = {

    ["GraphicDetail"] = {
        ["Data"]=1648361472,
    },

    ["WinScreen"] = {
        ["ScreenWidth"]=1334,
        ["ScreenHeight"]=750,
        ["BaseWidth"]=1334,
        ["BaseHeight"]=750,
        ["PadBaseWidth"]=1334,
        ["PadBaseHeight"]=750,
        ["IsIpad"]=0,
    },

    ["AutoUpdate"] = {
        ["HintTimes"]=3000,
        ["HintNums"]=5,
        ["NeedUpdateHintMB"]=50,
    },
}

local function GetBaseInfo(title, key, default)
    local tInfo = T_BaseInfo[title]
    if (tInfo == nil) then
        return default
    end

    local ret = tInfo[key]
    if (ret == nil) then
        return default
    end

    return ret
end


local function Unload()
    T_BaseInfo = nil
end


local AutoUpdate = {
    GetBaseInfo = GetBaseInfo,
    Unload = Unload,
}


AutoUpdate_GetBaseInfo = AutoUpdate.GetBaseInfo
AutoUpdate_Unload = AutoUpdate.Unload


return AutoUpdate
