﻿-- 跨服标签
local CrossIcon = {
    ShowEnable = 1; -- 1显示跨服图表、0不显示
    [17] = 1;
    [17000] = 1;
    [17010] = 1;
    [17020] = 1;
    [17030] = 1;
    [17040] = 1;
    [17050] = 1;
    [17060] = 1;
    [17070] = 1;
    [17080] = 1;
    [17090] = 1;
    [17100] = 1;
    [17110] = 1;
    [17120] = 1;
    [17130] = 1;
    [17140] = 1;
    [17150] = 1;
    [17160] = 1;
    [17170] = 1;
    [15] = 1;
    [20] = 1;
    [15000] = 1;
    [15010] = 1;
    [15020] = 1;
    [15030] = 1;
    [15040] = 1;

}

-- 免费服务标签
local FreeIcon = {
    [17] = 0; -- id对应 ClassDesc.ini
}

-- 典藏
local Collect = {
    AniSection = "GlobalAuction_WZdc";
    [17000] = 1; -- Id为物品ItemType
    [17010] = 1;
    [17020] = 1;
    [17030] = 1;
}

-- 是否向服务器查询多少人以最高多少价格回购
-- [class -- boolean] 不支持查询的不要配
local IsQueryMinPrice = {
    [17000] = true;
    [17010] = true;
    [17020] = true;
    [17030] = true;
    [17040] = true;
    [17050] = true;
    [17060] = true;
    [17070] = true;
    [17080] = true;
    [17090] = true;
    [17100] = true;
    [17110] = true;
    [17120] = true;
    [17130] = true;
    [17140] = true;
    [17150] = true;
    [17160] = true;
    [17170] = true;
}

-- class对应的itemtype
local ClassToItemType = {
	[15000] = 4100001;
    [15010] = 4100002;
	[15020] = 4100003;
	[15030] = 4100004;
	[15040] = 4100005;
    [17000] = 4200001;
    [17010] = 4200002;
    [17020] = 4200003;
    [17030] = 4200004;
    [17040] = 4200005;
    [17050] = 4200006;
    [17060] = 4200007;
    [17070] = 4200008;
    [17080] = 4200009;
    [17090] = 4200010;
    [17100] = 4200011;
    [17110] = 4200012;
    [17120] = 4200013;
    [17130] = 4200014;
    [17140] = 4200015;
    [17150] = 4200016;
    [17160] = 4200017;
    [17170] = 4200018;
    [20000] = 3322775;
    [20010] = 3313541;
    [15000] = 4100001;
    [15010] = 4100002;
    [15020] = 4100003;
    [15030] = 4100004;
    [15040] = 4100005;
}

local function GetClassToItemType(class)
    return ClassToItemType[class]
end

local function GetIsQueryMinPrice(class)
    return IsQueryMinPrice[class]
end

local function IsNosuchItem(class) 
    return CrossIcon[class]
end

local function IsShowCrossIcon(class) 
    if (CrossIcon.ShowEnable == 1) then
        return CrossIcon[class]
    end
    
    return 0
end 

local function IsShowFreeIcon(class) 
return FreeIcon[class] 
end 

local AutoTradeInfo = {
    MeteCondition = 2,
    MaxItemNum = 10,
    SelectDlgTitleImgSell = "GlobalAuction_wztjmmdj",
    SelectDlgTitleImgBuy = "GlobalAuction_WZxzjswp",
    EMoneyLessColor = 0xffff0000,
    AutoBuyCheckInterval = 5000, --自动交易开启时，检查求购单是否过期的时间间隔

}

function Auction_GetAutoTradeInfo(title) 
    return AutoTradeInfo[title]
end 

local function GetCollectAni(ItemType) 
    local tRank = Collect[ItemType]
    if (tRank == nil) then
        return ""
    end
    
    return Collect.AniSection
end 

-- 清理变量释放内存 
local function Unload() 
ClassToItemType = nil
IsQueryMinPrice = nil
CrossIcon = nil
Collect = nil
FreeIcon = nil
end 

local Auction = { 
GetClassToItemType = GetClassToItemType,
GetIsQueryMinPrice = GetIsQueryMinPrice, 
IsNosuchItem = IsNosuchItem,
IsShowCrossIcon = IsShowCrossIcon, 
IsShowFreeIcon = IsShowFreeIcon,
GetCollectAni = GetCollectAni, 
Unload = Unload, 
} 

-- C++程序使用的global函数名 
Auction_GetClassToItemType = Auction.GetClassToItemType
Auction_GetIsQueryMinPrice = Auction.GetIsQueryMinPrice
Auction_IsNosuchItem = Auction.IsNosuchItem
Auction_IsShowCrossIcon = Auction.IsShowCrossIcon 
Auction_IsShowFreeIcon = Auction.IsShowFreeIcon 
Auction_GetCollectAni = Auction.GetCollectAni
Auction_Unload = Auction.Unload 

-- require返回值 
return Auction 