function n_require(moduleName, path)
    if not package.loaded[moduleName] then
		local arg1, arg2 = c_require(path)

		-- module无返回值时，arg1为nil，取arg2
		package.loaded[moduleName] = arg1 or arg2
	end

    return package.loaded[moduleName]
end

function ui_require(moduleName)
	--return require(moduleName)
	return n_require(moduleName, "ini/luaui/" .. moduleName)
end

function ui_dialog_require(moduleName)
	--return require(moduleName)
	--[[
		改造
	]]
	if Dialog_Path == nil or type(Dialog_Path) ~= "table" then
		return
	end
	
	local sFileName = ""
	for k,v in pairs(Dialog_Path) do
		local _UName = v["UI_Name"]
		if _UName == nil then
			return
		end
		
		for _,name in pairs(_UName) do
			if name == moduleName then
				sFileName = k
				break
			end
		end
		if sFileName ~= "" then
			break
		end
	end
	if sFileName == "" then
		-- 找不到配置，则默认读取dialog下面的lua
		return n_require(moduleName, "ini/luaui/dialog/" .. moduleName)
	end
	return n_require(moduleName, "ini/luaui/dialog/" .. sFileName .. "/" .. moduleName)
end
-- 配置分离文件加载
function ui_luagui_require(moduleName)
	--return require(moduleName)
	return n_require(moduleName, "ini/luagui/" .. moduleName)
end

function ini_require(moduleName)
	local ret = n_require(moduleName, "ini/" .. moduleName)

	if not ret then
		return false
	end

    return true
end

function lua_debug_print(str_format, ...)
	str_format = str_format or ""
	local args = { ... }
	if #args > 0 then
		str_format = str_format:format(...)
	end
	print(string.format("%s		%s",os.date("%Y-%m-%d %H:%M:%S"),str_format))
end
