﻿local joystickinfo = {
    ["dock"]  = { ani = "hud_directiondPic", x = 210, y = 550, r = 127},
    ["ball"]  = { ani = "hud_directionPic", x = 210, y = 550, r = 58},
    area_radius = 80,
    ball_move_radius = 80,
    intervaltime = 1500,
    minMoveDistance = 10,
}

local function GetJoyStickInfo(typename, index)
    return joystickinfo[typename][index]
end

local function GetJoyStickArea()
    return joystickinfo.area_radius
end

local function GetJoyStickBallMoveRadius()
    return joystickinfo.ball_move_radius
end

local function GetJoyStickIntervalTime()
    return joystickinfo.intervaltime
end

local function GetJoyStickMinMoveDistance()
    return joystickinfo.minMoveDistance
end

-- 清理变量释放内存
local function Unload()
	joystickinfo = nil
end

local joystick = {
	GetJoyStickInfo = GetJoyStickInfo,
	GetJoyStickArea = GetJoyStickArea,
    GetJoyStickBallMoveRadius = GetJoyStickBallMoveRadius,
    GetJoyStickIntervalTime = GetJoyStickIntervalTime,
	Unload = Unload,
}

-- C++程序使用的global函数名
joystick_GetJoyStickInfo = joystick.GetJoyStickInfo
joystick_GetJoyStickArea = joystick.GetJoyStickArea
joystick_GetJoyStickBallMoveRadius = joystick.GetJoyStickBallMoveRadius
joystick_GetJoyStickIntervalTime = joystick.GetJoyStickIntervalTime
joystick_GetJoyStickMinMoveDistance = joystick.GetJoyStickMinMoveDistance
joystick_Unload = joystick.Unload


-- require返回值
return joystick
